    /*
     *  call-seq:
     *     PhraseQuery.new(field, slop = 0) -> phrase_query
     *
     *  Create a new PhraseQuery on the field +field+. You need to add terms to
     *  the query it will do anything of value. See PhraseQuery#add_term.
     */
    static VALUE
    frb_phq_init(int argc, VALUE *argv, VALUE self)
    {
        VALUE rfield, rslop;
        Query *q;
        rb_scan_args(argc, argv, "11", &rfield, &rslop);
        q = phq_new(frb_field(rfield));
        if (argc == 2) {
            ((PhraseQuery *)q)->slop = FIX2INT(rslop);
        }
        Frt_Wrap_Struct(self, NULL, &frb_q_free, q);
        object_add(q, self);
        return self;
    }